﻿Imports System.Net.Sockets
Imports System.Text

Public Class Form1
    Dim tcpClient As New System.Net.Sockets.TcpClient()
    Dim Host As String

    Private Sub cmdCon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCon.Click
        If cmdCon.Text = "Connect" Then
            cmdCon.Enabled = False
            tcpClient = New TcpClient
            cmdCon.Text = "Close"
            lbStatus.Text = "Connecting"
            Host = txIP.Text
            Try
                tcpClient.Connect(Host, 9221)
            Catch ex As Exception
                lbStatus.Text = "Error"
                tcpClient.Close()
            End Try
            If tcpClient.Connected Then
                lbStatus.Text = "Status: Connected"
                cmdSend.Enabled = True
            Else
                lbStatus.Text = "Status: Error"
            End If
        Else
            tcpClient.Close()
            cmdCon.Text = "Connect"
            cmdSend.Enabled = False
        End If
    End Sub

    Private Sub cmdSend_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSend.Click
        cmdSend.Enabled = False
        Dim networkStream As NetworkStream = tcpClient.GetStream()
        If networkStream.CanWrite Then
            Dim sendBytes As Byte() = Encoding.ASCII.GetBytes(txInput.Text)
            networkStream.Write(sendBytes, 0, sendBytes.Length)
            If networkStream.CanRead Then
                Dim bytes(tcpClient.ReceiveBufferSize) As Byte
                networkStream.ReadTimeout = 100
                Try
                    networkStream.Read(bytes, 0, CInt(tcpClient.ReceiveBufferSize))
                    lbOut.Text = Encoding.ASCII.GetString(bytes)
                Catch ex As Exception
                    lbOut.Text = ""
                    tcpClient.Close()
                    tcpClient = New TcpClient
                    tcpClient.Connect(Host, 9221)
                End Try
            Else
                lbOut.Text = ""
            End If
        End If
        cmdSend.Enabled = True
        txInput.Text = ""
        txInput.Focus()
    End Sub

End Class
